<?php
/**
 * The Wizard plugin class.
 *
 * This is used to guide the users to install the plugin.
 *
 * @since      1.0.0
 * @package    Legal_Manager
 * @subpackage Legal_Manager/admin
 * @author:    UlisesFreitas <ulises.freitas@gmail.com>
 */
class Legal_Manager_Wizard{
     
    public function __construct(){}
    
    public function startsWithPlus34($str) {
        return strpos($str, '+34') === 0;
    }

    public static function legal_manager_wizard_register( $wizard ){
    
    //NOTE:Step 0
    // Welcome Message
    $step = $wizard->add_step( 'welcome', array(
        'type'	=> 'zero',
        'title'	=> esc_html__( 'Welcome to Legal Manager setup Wizard', LEGAL_MANAGER_PLUGIN_NAME ),
    ));
    {

        $step->add_field( 'thanks-message', array(
            'type'		=> 'html',
            'content'	=>
                '<p>' . esc_html__( 'Thank you for choosing Legal Manager, your choice is greatly appreciated! This quick setup wizard will help you configure the basic settings. It\'s completely optional and shouldn\'t take longer than five minutes.',
                LEGAL_MANAGER_PLUGIN_NAME ) . '</p>' .
                '<p>' . esc_html__( 'Is very important to finish Setup. Between First and Last step the Wizard just collect settings and on last step, by click button Setup, the wizard apply settings and dependencies.', 
                LEGAL_MANAGER_PLUGIN_NAME ) . '</p>' .
                '<p>' . esc_html__( 'No time right now? If you don\'t want to go through the wizard, you can skip and return to the WordPress dashboard. Come back anytime if you change your mind!', 
                LEGAL_MANAGER_PLUGIN_NAME ) . '</p>'
        ));
    }
    // Business
    $step = $wizard->add_step( 'legal_manager_main_options', array(
        'title'	=> esc_html__( 'Company settings', LEGAL_MANAGER_PLUGIN_NAME )
    ));
    {

        $step->add_field( 'company_name', array(
            'type'			=> 'text',
            'label'			=> esc_html__( 'Company name', LEGAL_MANAGER_PLUGIN_NAME ),
        ));
        $step->add_field( 'company_vat_number', array(
            'type'			=> 'text',
            'label'			=> esc_html__( 'VAT number', LEGAL_MANAGER_PLUGIN_NAME ),
        ));
        $step->add_field( 'company_logo', array(
            'type'			=> 'url',
            'label'			=> esc_html__( 'Company logo', LEGAL_MANAGER_PLUGIN_NAME ),
        ));
        $step->add_field( 'company_address', array(
            'type'			=> 'text',
            'label'			=> esc_html__( 'Business street address', LEGAL_MANAGER_PLUGIN_NAME ),
        ));
        $step->add_field( 'company_city', array(
            'type'			=> 'text',
            'label'			=> esc_html__( 'Business city', LEGAL_MANAGER_PLUGIN_NAME ),
        ));
        $step->add_field( 'company_zipcode', array(
            'type'			=> 'text',
            'label'			=> esc_html__( 'Business zip code', LEGAL_MANAGER_PLUGIN_NAME ),
        ));
        $step->add_field( 'company_state', array(
            'type'			=> 'text',
            'label'			=> esc_html__( 'Business state', LEGAL_MANAGER_PLUGIN_NAME ),
        ));
        $step->add_field( 'company_country', array(
            'type'			=> 'text',
            'label'			=> esc_html__( 'Business country', LEGAL_MANAGER_PLUGIN_NAME ),
        ));
        $step->add_field( 'company_phone', array(
            'type'			=> 'text',
            'label'			=> esc_html__( 'Business phone', LEGAL_MANAGER_PLUGIN_NAME ),
        ));
        $step->add_field( 'company_email', array(
            'type'			=> 'text',
            'label'			=> esc_html__( 'Business email', LEGAL_MANAGER_PLUGIN_NAME ),
            'defailt'       => get_option('admin_email'),
        ));
    }
    
    
    $step = $wizard->add_step( 'legal-legal-notice', array(
        'title'	=> esc_html__( 'Legal notice settings', LEGAL_MANAGER_PLUGIN_NAME )
    ));
    {
        $step -> add_field( 'create_legal_notice', array(
            'type'			=> 'checkbox',
            'label'			=> __( 'Create Legal Notice', LEGAL_MANAGER_PLUGIN_NAME ),
            'description'	=> __( 'Uncheck if you don\'t need a Legal Notice', LEGAL_MANAGER_PLUGIN_NAME ),
            'default'		=> true
        ));

        $step -> add_field( 'legal_notice_content', array(
            'type'			=> 'textarea',
            'description'	=> __( 'If this is empty a basic legal notice will be created otherwise your custom content.',  LEGAL_MANAGER_PLUGIN_NAME ),
            'default'		=> ""
        ));
        
    }

    $step = $wizard->add_step( 'legal-privacy-policy', array(
        'title'	=> esc_html__( 'Privacy Policy settings', LEGAL_MANAGER_PLUGIN_NAME )
    ));
    {
        $step -> add_field( 'create_privacy_policy', array(
            'type'			=> 'checkbox',
            'label'			=> __( 'Create Privacy Policy', LEGAL_MANAGER_PLUGIN_NAME ),
            'description'	=> __( 'Uncheck if you don\'t need a Privacy Policy', LEGAL_MANAGER_PLUGIN_NAME ),
            'default'		=> true
        ));

        $step -> add_field( 'privacy_policy_content', array(
            'type'			=> 'textarea',
            'description'	=> __( 'If this is empty a basic privacy policy will be created otherwise your custom content.',  LEGAL_MANAGER_PLUGIN_NAME ),
            'default'		=> ""
        ));
    }

    $step = $wizard->add_step( 'legal-cookies-policy', array(
        'title'	=> esc_html__( 'Cookies Policy settings', LEGAL_MANAGER_PLUGIN_NAME )
    ));
    {
        $step -> add_field( 'create_legal_cookies_policy', array(
            'type'			=> 'checkbox',
            'label'			=> __( 'Create Cookies Policy', LEGAL_MANAGER_PLUGIN_NAME ),
            'description'	=> __( 'Uncheck if you don\'t need a Cookies Policy', LEGAL_MANAGER_PLUGIN_NAME ),
            'default'		=> true
        ));
        $step -> add_field( 'cookies_policy_content', array(
            'type'			=> 'textarea',
            'description'	=> __( 'If this is empty a basic cookies policy will be created otherwise your custom content.',  LEGAL_MANAGER_PLUGIN_NAME ),
            'default'		=> ""
        ));
    }
    
    $step = $wizard->add_step( 'legal-sitemap', array(
        'title'	=> esc_html__( 'Sitemap page settings', LEGAL_MANAGER_PLUGIN_NAME )
    ));
    {
        $step -> add_field( 'create_legal_sitemap', array(
            'type'			=> 'checkbox',
            'label'			=> __( 'Create Sitemap page', LEGAL_MANAGER_PLUGIN_NAME ),
            'description'	=> __( 'Uncheck if you don\'t need a Sitemap', LEGAL_MANAGER_PLUGIN_NAME ),
            'default'		=> true
        ));
        $step -> add_field( 'include_posts_sitemap', array(
            'type'			=> 'checkbox',
            'label'			=> __( 'Posts in sitemap page', LEGAL_MANAGER_PLUGIN_NAME ),
            'description'	=> __( 'Check if you have installed WP Sitemap Pages and whant to include posts sitemap.', LEGAL_MANAGER_PLUGIN_NAME ),
            'default'		=> false
        ));
        $step -> add_field( 'include_categories_sitemap', array(
            'type'			=> 'checkbox',
            'label'			=> __( 'Posts categories in sitemap page', LEGAL_MANAGER_PLUGIN_NAME ),
            'description'	=> __( 'Check if you have installed WP Sitemap Pages and whant to include post categories sitemap.', LEGAL_MANAGER_PLUGIN_NAME ),
            'default'		=> false
        ));
        $step -> add_field( 'include_pages_sitemap', array(
            'type'			=> 'checkbox',
            'label'			=> __( 'Pages in sitemap page', LEGAL_MANAGER_PLUGIN_NAME ),
            'description'	=> __( 'Check if you have installed WP Sitemap Pages and whant to include pages sitemap.', LEGAL_MANAGER_PLUGIN_NAME ),
            'default'		=> false
        ));
        $step -> add_field( 'sitemap_page_content', array(
            'type'			=> 'textarea',
            'description'	=> __( 'If this is empty an empty sitemap page will be created otherwise your custom content.',  LEGAL_MANAGER_PLUGIN_NAME ),
            'default'		=> ""
        ));
    
    }

    // Recommended Plugin
    $step = $wizard -> add_step( 'recommended-plugins', array(
        'type'		=> 'setup',
        'title'		=> __( 'Install &amp; Activate Recommended Plugins', LEGAL_MANAGER_PLUGIN_NAME )
    ));
    {	
        $step -> add_field( 'wp-sitemap-page', array(
            'type'			=> 'plugin',
            'default'		=> true
        ));
        $step -> add_field( 'gdpr-cookie-compliance', array(
            'type'			=> 'plugin',
            'default'		=> true
        ));
        
    }
    
    //NOTE: Step 6
    // Setup
    $step = $wizard->add_step( 'legal-setup', array(
        'type'		=> 'setup',
        'title'		=> esc_html__( 'Finish installation', LEGAL_MANAGER_PLUGIN_NAME )
    ));
    {
        $step->add_field( 'install-now', array(
            'type'		=> 'html',
            'content'	=>
                '<p>' . esc_html__( 'You are almost done just "Start Setup", and wait until everything is done.', LEGAL_MANAGER_PLUGIN_NAME ) . '</p>'
        ));
    } 
}

    public static function legal_manager_wizard_setup( $wizard ){

    $theme_mod  = $wizard->wp_theme_mod;
    $option     = $wizard->wp_option;
    $meta       = $wizard->wp_meta;
    
    //Step 1
    //$overwrite = (bool)$wizard->get_setting( 'overwrite-settings' );
    
    //Step 2
    
    $company_name = $wizard->get_setting('company_name');
    if( !empty($company_name) ){
        $options = $option->replace_option('legal_manager_main_options', 'company_name', $company_name );
        $option->update( 'legal_manager_main_options', $options );
    }
    $company_vat_number = $wizard->get_setting('company_vat_number');
    if( !empty($company_vat_number) ){
        $options = $option->replace_option('legal_manager_main_options', 'company_vat_number', $company_vat_number );
        $option->update( 'legal_manager_main_options', $options );
    }
    $company_logo = $wizard->get_setting('company_logo');
   
    if( !empty($company_logo) ){
        $options = $option->replace_option('legal_manager_main_options', 'company_logo', $company_logo );
        $option->update( 'legal_manager_main_options', $options );
    }
    $company_address = $wizard->get_setting('company_address');
  
    if( !empty($company_address) ){
        $options = $option->replace_option('legal_manager_main_options', 'company_address', $company_address );
        $option->update( 'legal_manager_main_options', $options );
    }
    $company_city = $wizard->get_setting('company_city');
   
    if( !empty($company_city) ){
        $options = $option->replace_option('legal_manager_main_options', 'company_city', $company_city );
        $option->update( 'legal_manager_main_options', $options );
    }
    $company_zipcode = $wizard->get_setting('company_zipcode');
   
    if( !empty($company_zipcode) ){
        $options = $option->replace_option('legal_manager_main_options', 'company_zipcode', $company_zipcode );
        $option->update( 'legal_manager_main_options', $options );
    }
    $company_state = $wizard->get_setting('company_state');
   
    if( !empty($company_state) ){
        $options = $option->replace_option('legal_manager_main_options', 'company_state', $company_state );
        $option->update( 'legal_manager_main_options', $options );
    }
    $company_country = $wizard->get_setting('company_country');
    
    if( !empty($company_country) ){
        $options = $option->replace_option('legal_manager_main_options', 'company_country', $company_country );
        $option->update( 'legal_manager_main_options', $options );
    }
    $company_phone = $wizard->get_setting('company_phone');
   
    if( !empty($company_phone) ){
        $options = $option->replace_option('legal_manager_main_options', 'company_phone', $company_phone );
        $option->update( 'legal_manager_main_options', $options );
    }
    $company_email = $wizard->get_setting('company_email');
    if( !empty($company_email) ){
        $options = $option->replace_option('legal_manager_main_options', 'company_email', $company_email );
        $option->update( 'legal_manager_main_options', $options );
    }
    
    //Setp 3
    $create_legal_notice = (bool)$wizard->get_setting('create_legal_notice');
    if( $create_legal_notice ){
        $options = $option->replace_option('legal_manager_pages_options', 'create_legal_notice', $create_legal_notice );
        $option->update( 'legal_manager_pages_options', $options );
    }
    $create_privacy_policy = (bool)$wizard->get_setting('create_privacy_policy');
    if( $create_privacy_policy ){
        $options = $option->replace_option('legal_manager_pages_options', 'create_privacy_policy', $create_privacy_policy );
        $option->update( 'legal_manager_pages_options', $options );
    }
    $create_legal_cookies_policy = (bool)$wizard->get_setting('create_legal_cookies_policy');
    if( $create_legal_cookies_policy ){
        $options = $option->replace_option('legal_manager_pages_options', 'create_legal_cookies_policy', $create_legal_cookies_policy );
        $option->update( 'legal_manager_pages_options', $options );
    }
    $create_legal_sitemap =  (bool)$wizard->get_setting('create_legal_sitemap');
    if( $create_legal_sitemap ){
        $options = $option->replace_option('legal_manager_pages_options', 'create_legal_sitemap', $create_legal_sitemap );
        $option->update( 'legal_manager_pages_options', $options );
    }
    
    
    /**
     *	Create Pages
        */

    $pages = array();

    if( $create_legal_notice ){

        $address = $wizard->get_setting('company_address') . ', ' . $wizard->get_setting('company_city') . ', ' . $wizard->get_setting('$company_zipcode') . ', ' . $wizard->get_setting('company_state') . ', ' . $wizard->get_setting('company_country');
        $content = '';
        if(!empty($wizard->get_setting('legal_notice_content')))
        {
            $content = $wizard->get_setting('legal_notice_content');
        }else{
            $content =   
            __( '<p><strong>Legal Notice of ' . $wizard->get_setting('company_name') . '</strong></p>
                <p>In compliance with the provisions of Article 10 of Law 34/2002, of July 11, on Information Society Services and Electronic Commerce (LSSI-CE), 
                it is reported that this Website is owned by the company <strong>' . $wizard->get_setting('company_name') . '</strong></p>
                <strong>Company name</strong>: ' . $wizard->get_setting('company_name') . '
                <strong>Tax ID</strong>: ' . $wizard->get_setting('company_vat_number') . '
                <strong>Address</strong>: ' . $address . '
                <strong>Telephone</strong>: <a href="tel:' . trim($wizard->get_setting('company_phone')) . '">' . $wizard->get_setting('company_phone') . '</a>
                <strong>Email</strong>: <a href="mailto:' . $wizard->get_setting('company_email') . '">' . $wizard->get_setting('company_email') . '</a>
                <strong>Intellectual and industrial property:</strong>
                <p>All elements of the website, including images, logos, designs, source code and others, are protected by intellectual and industrial property rights.</p>
                <p>The user agrees to respect the intellectual and industrial property rights of the website owner.</p>
                <strong>Responsibilities:</strong>
                <p>The website owner is not responsible for any damages that may arise from the use of the website, including damages caused by viruses or malicious software.</p>
                <strong>Modifications:</strong>
                <p>The website owner reserves the right to modify the content of the legal notice at any time.</p>                
                <strong>Acceptance of the legal notice:</strong>
                <p>The user declares to have read and accepted this legal notice.</p>
                <strong>Jurisdiction and applicable law</strong>
                <p>This Legal Notice is written in Spanish, and is subject to the current Spanish legislation.</p> 
                <p>For any type of controversy derived from the use of the services offered or the contents of the Website, 
                the parties, with the acceptance of the clause established in this Legal Notice, will submit to the competent Courts and Tribunals of ' 
                . $wizard->get_setting('company_state') . '.</p>
                <strong>*' . $wizard->get_setting('company_name') . '</strong> is a trademark registered by '.$wizard->get_setting('company_name').'.', LEGAL_MANAGER_PLUGIN_NAME );
        }
            
            $legal_notice_page_id = $wizard -> insert_post(array(
            'post_title' => esc_html__( 'Legal Notice', LEGAL_MANAGER_PLUGIN_NAME ),
            'post_content'	=> $content
        ));

        if ( !empty( $legal_notice_page_id ) ) {
           
            $p = get_post( $legal_notice_page_id );
        }

        array_push( $pages, $legal_notice_page_id );
    }
    if( $create_privacy_policy ){

        $address = $wizard->get_setting('company_address') . ', ' . $wizard->get_setting('company_city') . ', ' . $wizard->get_setting('$company_zipcode') . ', ' . $wizard->get_setting('company_state') . ', ' . $wizard->get_setting('company_country');
        $p = get_post( $legal_notice_page_id );
        $post_date = get_the_date( 'l F j, Y' , $p);
        $content = '';
        if(!empty($wizard->get_setting('privacy_policy_content')))
        {
            $content = $wizard->get_setting('privacy_policy_content');
        }else{
            $content =         
            __( '<p><strong>Privacy Policy ' . $wizard->get_setting('company_name') . '</strong></p>
                <strong>Last update: ' . $post_date . '</strong>
                <p>'. $wizard->get_setting('company_name') . ' ("We", "our" or "us") operates the website '. get_site_url() . ' (hereinafter, the "Service").</p>
                <p>This page informs you of our policies regarding the collection, use and disclosure of personal data when you use our Service and the choices you have associated with that data.</p>
                <p>We use your data to provide and improve the Service. By using the Service, you agree to the collection and use of information in accordance with this policy. Unless otherwise defined in this Privacy Policy, the terms used in this Privacy Policy have the same meanings as in our legal notice, available at <a href="' . get_post_permalink( $p->ID, true) .'">this link</a>.</p>
                <strong>Collection and Use of Information</strong>
                <p>We collect different types of information for various purposes to provide and improve our Service.</p>
                <strong>Types of Data Collected</strong>
                <strong>Personal Data</strong>
                <p>When using our Service, we may ask you to provide us with certain personally identifiable information which may include, but is not limited to, your name, email address, postal address, telephone number and other information that can be used to identify you.</p>
                <strong>Use of Data</strong>
                <strong>We use the collected data for various purposes, including:</strong>
                <ul>
                <li>To provide and maintain our Service</li>
                <li>To notify you about changes to our Service</li>
                <li>To allow you to participate in interactive features of our Service when you choose to do so</li>
                <li>To provide customer support</li>
                <li>To collect analysis or valuable information that allows us to improve our Service</li>
                <li>To monitor the use of our Service</li>
                <li>To detect, prevent and address technical problems</li>
                </ul>
                <strong>Data Transfer</strong>
                <p>Your information, including Personal Data, may be transferred to — and maintained on — computers located outside of your state, province, country or other governmental jurisdiction where the data protection laws may differ from those from your jurisdiction.</p>
                <strong>Legal requirements</strong>
                <strong>We may disclose your Personal Data in the good faith belief that such action is necessary to:</strong>           
                <ul>
                <li>Comply with a legal obligation</li>
                <li>Protect and defend the rights or property of '. $wizard->get_setting('company_name') . '</li>
                <li>Prevent or investigate possible violations in connection with the Service</li>
                <li>Protect the personal safety of users of the Service or the public</li>
                <li>Protect against legal liability</li>
                </ul>
                <strong>Data Security</strong>
                <p>The security of your data is important to us, but remember that no method of transmission over the Internet, or method of electronic storage, is 100% secure. While we strive to use commercially acceptable means to protect your Personal Data, we cannot guarantee its absolute security.</p>
                <strong>Links to Other Sites</strong>
                <p>Our Service may contain links to other sites that are not operated by us. If you click on a third-party link, you will be directed to that third-party site. We strongly recommend that you review the Privacy Policy of each site you visit.</p>
                <strong>Changes to this Privacy Policy</strong>
                <p>We may update our Privacy Policy from time to time. We will notify you of any changes by posting the new Privacy Policy on this page.</p>
                <p>We recommend that you periodically review this Privacy Policy for any changes. Changes to this Privacy Policy are effective when posted on this page.</p>
                <strong>Contact us</strong>
                <p>If you have any questions about this Privacy Policy, you can contact us:</strong>
                <p>By email: <a href="mailto:' . $wizard->get_setting('company_email') . '">' . $wizard->get_setting('company_email') . '</a></p>
                <p>By phone by calling <a href="tel:+34' . $wizard->get_setting('company_phone') . '">' . $wizard->get_setting('company_phone') . '</a></p>', LEGAL_MANAGER_PLUGIN_NAME );
                
        }
            $privacy_policy_page_id = $wizard -> insert_post(array(
            'post_title' => esc_html__( 'Privacy policy', LEGAL_MANAGER_PLUGIN_NAME ),
            'post_content'	=> $content
        ));


        array_push( $pages, $privacy_policy_page_id );
    }
    
    if( $create_legal_cookies_policy ){

        $address = $wizard->get_setting('company_address') . ', ' . $wizard->get_setting('company_city') . ', ' . $wizard->get_setting('$company_zipcode') . ', ' . $wizard->get_setting('company_state') . ', ' . $wizard->get_setting('company_country');
        $p = get_post( $legal_notice_page_id );
        $post_date = get_the_date( 'l F j, Y' , $p);
        $content = '';
        if(!empty($wizard->get_setting('cookies_policy_content')))
        {
            $content = $wizard->get_setting('cookies_policy_content');
        }else{
            $content =      
            __( '<p><strong> Cookie Policy ' . $wizard->get_setting('company_name') . '</strong></p>
            <strong>Last update: ' . $post_date . '</strong>
            <p>This is the cookie policy for '. $wizard->get_setting('company_name') . ', accessible from ' . get_site_url() . '.</p>
            <strong>What are cookies?</strong>
            <p>As is common with almost all professional websites, this site uses cookies, which are small files that are downloaded to your computer to improve your experience. This page describes what information they collect, how we use it and why we sometimes need to store these cookies. We will also share how you can prevent these cookies from being stored, although this may downgrade or "break" certain elements of the site\'s functionality.</p>
            <strong>How do we use cookies?</strong>
            <p>We use cookies for a variety of reasons detailed below. Unfortunately, in most cases, there are no industry standard options for disabling cookies without completely disabling the functionality and features they add to this site. It is recommended that you leave all cookies if you are not sure whether you need them or not, in case they are used to provide a service you use.</p>
            <strong>Disabling Cookies</strong>
            <p>You can prevent the setting of cookies by adjusting the settings on your browser (see your browser Help to learn how to do this). Please note that disabling cookies will affect the functionality of this and many other websites you visit. Disabling cookies will generally result in disabling certain functions and features of this site. Therefore, it is recommended that you do not disable cookies.</p>
            <strong>Cookies we set</strong>
            <p>Login-related cookies: We use cookies when you are logged in so that we can remember this fact. This prevents you from having to log in every time you visit a new page. These cookies are usually deleted or cleared when you log out to ensure that you can only access restricted features and areas when you log in.</p>
            <p>Form-related cookies: When you submit data to through a form such as those found on contact pages or comment forms cookies may be set to remember your user details for future correspondence.</p>
            <p>Site Preferences Cookies – To provide you with a great experience on this site, we provide the functionality to set your preferences for how this site runs when you use it. To remember your preferences, we need to set cookies so that this information can be called each time you interact with a page that is affected by your preferences.</p>
            <strong>Third party cookies</strong>
            <p>In some special cases, we also use cookies provided by trusted third parties. The following section details which third party cookies you may encounter through this site.</p>
            <p>This site uses Google Analytics, which is one of the most widespread and trusted analytics solutions on the web to help us understand how you use the site and how we can improve your experience. These cookies may track things such as how much time you spend on the site and the pages you visit, so we can continue to produce engaging content.</p>
            <strong>If you have any questions about this Cookie Policy, you can contact us:</strong>
            <p>By email: <a href="mailto:' . $wizard->get_setting('company_email') . '">' . $wizard->get_setting('company_email') . '</a></p>
            <p>By phone by calling <a href="tel:+34' . $wizard->get_setting('company_phone') . '">' . $wizard->get_setting('company_phone') . '</a></p>',
            LEGAL_MANAGER_PLUGIN_NAME );   

        }
            $cookies_policy_page_id = $wizard -> insert_post(array(
            'post_title' => esc_html__( 'Cookies policy', LEGAL_MANAGER_PLUGIN_NAME ),
            'post_content'	=> $content
        ));

        array_push( $pages, $cookies_policy_page_id );
    }
    if( $create_legal_sitemap ){

        $content = '<br/>';
        //[wp_sitemap_page only="post"]
        //[wp_sitemap_page only="page"]
        //[wp_sitemap_page only="category"]
        if( (bool)$wizard->get_setting('include_pages_sitemap') == true)
        {
            $content .= '[wp_sitemap_page only="page"]<br/>';
        }
        if( (bool)$wizard->get_setting('include_posts_sitemap') == true)
        {
            $content .= '[wp_sitemap_page only="post"]<br/>';
        }
        if( (bool)$wizard->get_setting('include_categories_sitemap') == true)
        {
            $content .= '[wp_sitemap_page only="category"]<br/>';
        }

        if(!empty($wizard->get_setting('sitemap_page_content')))
        {
            $content .= $wizard->get_setting('sitemap_page_content');
        }
        // else{
        //     $content =  '<br/>[wp_sitemap_page only="page"]<br/>[wp_sitemap_page only="post"]';
        // }
            $sitemap_page_id = $wizard -> insert_post(array(
            'post_title' => esc_html__( 'Sitemap', LEGAL_MANAGER_PLUGIN_NAME ),
            'post_content'	=> $content
        ));

        array_push( $pages, $sitemap_page_id );
    }
    


   
   
    //	Adding Additional Action to Setup

    do_action( 'legal_wizard_after_wizard_setup' );

    echo '<p class="setup-console">' . esc_html__( 'Successful setup !', LEGAL_MANAGER_PLUGIN_NAME ) . '</p>';
        
}

}