<?php

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Legal_Manager
 * @subpackage Legal_Manager/includes
 * @author:    UlisesFreitas <ulises.freitas@gmail.com>
 */
class Legal_Manager_Activator {

	/**
	 * Activates the plugin.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
        
        add_option('legal_manager_do_activation_redirect', true);
        flush_rewrite_rules();

	}
    
    /**
	 * Redirect to admin page after activate.
	 *
	 * @since    1.0.0
	 */
    public static function legal_manager_activation_redirect() {
        
        if ( get_option('legal_manager_do_activation_redirect', false) ) {
            delete_option('legal_manager_do_activation_redirect');
            exit( wp_redirect( admin_url( 'index.php?page=legal-wizard' ) ) );
        }
    }

}
