<?php
/**
 * @link:             https://www.ulisesfreitas.com/plugins/
 * @since             1.0.0
 * @package           Legal_Manager
 *
 * Description:       Plugin to create legal pages, legal notice, privacy policy, cookies policy, sitemap page, also allows you to install GDPR cookies compliance and WP Sitemap Page.
 * Version:           1.0.0
 * Author:            UlisesFreitas
 * Author URI:        https://www.ulisesfreitas.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       legal-manager
 * Domain Path:       /languages
 */

 // If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

define( 'LEGAL_WIZARD_PLUGIN_NAME', 'legal-wizard' );
define( 'LEGAL_WIZARD_PATH', plugin_dir_path( __FILE__ ) );
define( 'LEGAL_WIZARD_URL', plugin_dir_url( __FILE__ ) );

function legal_wizard_plugin(){
	/**
	 *  Plugin Directory
	 */

	function legal_wizard_plugin_dir(){
		return rtrim( dirname( __FILE__ ), '/' );
	}

	/**
	 *  Plugin Uri
	 */

	function legal_wizard_plugin_uri(){
		return rtrim( plugin_dir_url( __FILE__ ), '/' );
	}

	/**
	 *	Plugin Text Domain
	 */

	function legal_wizard_load_textdomain(){
		load_plugin_textdomain( 'legal-wizard', false, LEGAL_WIZARD_PATH . '/languages' );
	}

	add_action( 'plugins_loaded', 'legal_wizard_load_textdomain' );


	function legal_wizard_autoload( $class_name ){
		$file_name	= '';
		$class_path	= '';

		if( preg_match( "/^legal_wizard/", $class_name ) ){
			$file_name	= str_replace( '_', '-', strtolower( $class_name ) );
			$class_path = LEGAL_WIZARD_PATH . '/includes/' . $file_name . '.php';
		}
            
		if( !empty( $class_path ) && is_file( $class_path ) ){
			include_once $class_path;
		}
	}

	spl_autoload_register( 'legal_wizard_autoload' );


	if( !is_network_admin() ){
        new legal_wizard();
    }
}

add_action( 'after_setup_theme', 'legal_wizard_plugin', 30 );

